Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.render.pcl.fonts
Enum PCLFontSegment.SegmentID

    java.lang.Object
      java.lang.Enum<PCLFontSegment.SegmentID>
          org.apache.fop.render.pcl.fonts.PCLFontSegment.SegmentID

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PCLFontSegment.SegmentID>

Enclosing class:
  PCLFontSegment

    public static enum PCLFontSegment.SegmentID

extends java.lang.Enum<PCLFontSegment.SegmentID>

Enum Constant Summary
`CC`
`CP`
`GT`
`IF`
`NULL`
`PA`
`XW`

Method Summary
`int` | `getValue()`
`static PCLFontSegment.SegmentID` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PCLFontSegment.SegmentID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CC

    public static final PCLFontSegment.SegmentID CC

### CP

    public static final PCLFontSegment.SegmentID CP

### GT

    public static final PCLFontSegment.SegmentID GT

### IF

    public static final PCLFontSegment.SegmentID IF

### PA

    public static final PCLFontSegment.SegmentID PA

### XW

    public static final PCLFontSegment.SegmentID XW

### NULL

    public static final PCLFontSegment.SegmentID NULL

Method Detail

### values

    public static PCLFontSegment.SegmentID[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PCLFontSegment.SegmentID c : PCLFontSegment.SegmentID.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PCLFontSegment.SegmentID valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.